{
  imports = [
    # Base configs
    ./../../base.nix

    # Import users and groups
    ./../../users/jimbo.nix
    ./../../users/groups.nix

    # Desktop
    ./../../desktop/misc.nix
    ./../../desktop/sway.nix
    ./../../desktop/greetd-sway.nix
    ./../../desktop/printing.nix
    ./../../desktop/gaming.nix
    ./../../desktop/pipewire.nix
    ./../../desktop/bluetooth.nix
    ./../../desktop/firewall.nix
    ./../../desktop/fonts.nix
    ./../../desktop/qt.nix

    # Modules
    ./../../modules/security.nix

    # Hardware
    ./hardware-configuration.nix
    ./../../modules/lanzaboote.nix
    ./../../modules/opengl.nix
    ./../../modules/filesystems.nix
    ./../../modules/nvidia.nix
    #./../../modules/nouveau.nix

    # Services
    ./../../services/openssh.nix
    ./../../services/gnome-keyring.nix
    ./../../services/qemukvm.nix
    ./../../services/udev.nix
    ./../../services/sunshine.nix
    ./../../services/mpd.nix
    #./../../services/waydroid.nix
  ];

  # Set hostname
  networking.hostName = "JimDesktop";

  # Force Electron to use Wayland
  environment.sessionVariables.NIXOS_OZONE_WL = "1";

  # https://nixos.wiki/wiki/FAQ/When_do_I_update_stateVersion
  system.stateVersion = "24.05";
}
