{
  imports = [
    # Base configs
    ./../../base.nix

    # Import users and groups
    ./../../users/jimbo.nix
    ./../../users/nextcloud.nix
    ./../../users/nginx.nix
    ./../../users/liquidsoap.nix
    ./../../users/groups.nix

    # Modules
    ./../../modules/security.nix

    # Hardware
    ./hardware-configuration.nix
    ./../../modules/systemdboot.nix

    # Services
    ./../../services/openssh.nix
    ./../../server/acme.nix
    ./../../server/ddclient.nix
    ./../../server/icecast.nix
    ./../../server/firewall.nix
    ./../../server/forgejo.nix
    ./../../server/mailserver.nix
    ./../../server/mariadb.nix
    ./../../server/nginx.nix
    ./../../server/owncast.nix
    ./../../server/photoprism.nix
    ./../../server/minecraft
    ./../../server/vaultwarden.nix
    ./../../server/transmission.nix
    ./../../server/wireguard.nix
    ./../../server/misc.nix

    # File server
    ./../../server/nextcloud.nix
    ./../../server/nfs.nix
    ./../../server/samba.nix

    # Matrix
    ./../../server/synapse.nix
    ./../../server/element.nix
    ./../../server/coturn.nix
    ./../../server/matrix-discord.nix

    # Federation
    ./../../server/lemmy.nix
    ./../../server/mastodon.nix
    ./../../server/pixelfed.nix
  ];

  # Set custom openssh port
  services.openssh.ports = [ 2222 ];

  # Set hostname
  networking.hostName = "JimServer";

  # https://nixos.wiki/wiki/FAQ/When_do_I_update_stateVersion
  system.stateVersion = "24.05";
}
