{pkgs, outputs, ...}: {
  # Dynamic IPs for Cloudflare records
  services.ddclient = {
    enable = true;
    protocol = "cloudflare";
    use = "web, web=https://ipinfo.io/ip";
    zone = "${outputs.secrets.jimDomain}";
    username = "token";
    passwordFile = "${pkgs.writeText "cloudflareapikey" outputs.secrets.flareApiKey}";
    domains = [
      "${outputs.secrets.jimDomain}"
      "*.${outputs.secrets.jimDomain}"
      "sv.${outputs.secrets.jimDomain}"
      "git.${outputs.secrets.jimDomain}"
      "rtmp.${outputs.secrets.jimDomain}"
      "turn.${outputs.secrets.jimDomain}"
      "dew.${outputs.secrets.jimDomain}"
      "john.${outputs.secrets.jimDomain}"
      "beta.${outputs.secrets.jimDomain}"
      "rogue.${outputs.secrets.jimDomain}"
    ];
  };
}
